﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System;
using System.Collections.ObjectModel;
using System.Collections.Specialized;
using System.ComponentModel;
using System.Globalization;
using System.IO.Packaging;
using System.Windows.Controls.Primitives;

namespace HierXamDataGrid
{
    public class AccntModel : INotifyPropertyChanged
    {

        public event PropertyChangedEventHandler PropertyChanged;

        private string _account;
        public ObservableCollection<OrderModel> Orders { get; set; }

        public string Account
        {
            get { return _account; }
            set
            {
                _account = value;
                NotifyPropertyChanged("Account");
            }
        }

        private void NotifyPropertyChanged(String propertyName)
        {
            if (PropertyChanged != null)
                PropertyChanged(this, new PropertyChangedEventArgs(propertyName));
        }
    }

    public class OrderModel : INotifyPropertyChanged
    {

        public event PropertyChangedEventHandler PropertyChanged;

        private string _account;

        private string sym;
        private DateTime _orderTime;
        private double _price;
        private string _side;

        public string Account
        {
            get { return _account; }
            set
            {
                _account = value;
                NotifyPropertyChanged("Account");
            }
        }

        public string Sym
        {
            get { return sym; }
            set
            {
                sym = value;
                NotifyPropertyChanged("Sym");
            }
        }

        public DateTime OrderTime
        {
            get { return _orderTime; }
            set
            {
                _orderTime = value;
                NotifyPropertyChanged("OrderTime");
            }
        }

        public double Price
        {
            get { return _price; }
            set
            {
                _price = value;
                NotifyPropertyChanged("Price");
            }
        }

        public string Side
        {
            get { return _side; }
            set
            {
                _side = value;
                NotifyPropertyChanged("Side");
            }
        }


        private void NotifyPropertyChanged(String propertyName)
        {
            if (PropertyChanged != null)
                PropertyChanged(this, new PropertyChangedEventArgs(propertyName));
        }
    }

}
